# $Revision: 1.17 $, $Date: 2010/06/06 08:33:12 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-Bignum
Summary:	Crypt::OpenSSL::Bignum - OpenSSL's multiprecision integer arithmetic
Summary(pl.UTF-8):	Crypt::OpenSSL::Bignum - arytmetyka liczb całkowitych dużej precyzji z OpenSSL
Name:		perl-Crypt-OpenSSL-Bignum
Version:	0.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9369ef722b0705c0604998559988eb18
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-Bignum/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Bignum provides access to OpenSSL multiprecision
integer arithmetic libraries. Presently, many though not all of the
arithmetic operations that OpenSSL provides are exposed to Perl. In
addition, this module can be used to provide access to bignum values
produced by other OpenSSL modules, such as key parameters from
Crypt::OpenSSL::RSA.

%description -l pl.UTF-8
Crypt::OpenSSL::Bignum daje dostęp do bibliotek arytmetyki
liczb całkowitych dużej precyzji z OpenSSL. Aktualnie wiele, ale nie
wszystkie, operacje arytmetyczne udostępniane przez OpenSSL są
dostępne z Perla. Ponadto ten moduł może być używany do udostępnienia
dużych wartości produkowanych przez inne moduły OpenSSL, takie jak
parametry klucza z Crypt::OpenSSL::RSA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/Bignum.pm
%{perl_vendorarch}/Crypt/OpenSSL/Bignum
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum
%{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.so
%{_mandir}/man3/Crypt::OpenSSL::Bignum*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-OpenSSL-Bignum.spec,v $
Revision 1.17  2010/06/06 08:33:12  arekm
- release 3

Revision 1.16  2010/04/12 19:28:46  arekm
- release 2

Revision 1.15  2008/02/25 21:06:00  qboosh
- updated to 0.04

Revision 1.14  2008-02-10 12:04:18  arekm
- rel 2

Revision 1.13  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.12  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:13  paladine
- formatting

Revision 1.9  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.8  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.6  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.5  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.4  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2003/09/30 20:18:29  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.2  2003/08/18 08:08:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/06/17 22:22:49  qboosh
- new
